Bug 187556 - (CVE-2006-1550) CVE-2006-1550 Dia multiple buffer overflows
CVE-2006-1550 Dia multiple buffer overflows
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
reported=20060329,source=secalert,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 16:24 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-31 16:47:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-31 16:24:37 EST
+++ This bug was initially created as a clone of Bug #187401 +++

Dia multiple buffer overflows

infamous41md discovered three buffer overflows in Dia's xfig importer.
The issues are caused by unchecked input from the xfig file.

The patch can be found here:
http://mail.gnome.org/archives/dia-list/2006-March/msg00149.html


This issue also affects RHEL2.1

-- Additional comment from bressers@redhat.com on 2006-03-30 13:44 EST --
Created an attachment (id=127062)
Demo Exploit #1


-- Additional comment from bressers@redhat.com on 2006-03-30 13:44 EST --
Created an attachment (id=127063)
Demo Exploit #2


-- Additional comment from bressers@redhat.com on 2006-03-30 13:45 EST --
Created an attachment (id=127064)
Demo Exploit #3
Comment 1 Hans de Goede 2006-03-31 16:47:12 EST
Many thanks for reporting this! Keep up the good work!
A build (0.94-21) fixing this using the patch you linked to has been queued to
the buildsys (it should build fine, I tested locally first).

Note You need to log in before you can comment on or make changes to this bug.